class NavigationModel {
  int totalItemsCount;
  int statusCode;
  String message;
  List<NavigationDataModel> data;

  NavigationModel({this.totalItemsCount, this.statusCode, this.message, this.data});

  NavigationModel.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data.add(new NavigationDataModel.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class NavigationDataModel {
  int navigationId;
  String navigationText;
  String navigationUrl;
  String mobileNavigationUrl;
  String categoryName;
  String fontIcon;
  String mobileFontIcon;
  int parentId;
  int orderNo;
  int roleId;

  NavigationDataModel(
      {this.navigationId, this.navigationText, this.navigationUrl, this.mobileNavigationUrl, this.categoryName, this.fontIcon, this.mobileFontIcon, this.parentId, this.orderNo, this.roleId});

  NavigationDataModel.fromJson(Map<String, dynamic> json) {
    navigationId = json['navigationId'];
    navigationText = json['navigationText'];
    navigationUrl = json['navigationUrl'];
    mobileNavigationUrl = json['mobileNavigationUrl'];
    categoryName = json['categoryName'];
    fontIcon = json['fontIcon'];
    mobileFontIcon = json['mobileFontIcon'];
    parentId = json['parentId'];
    orderNo = json['orderNo'];
    roleId = json['roleId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['navigationId'] = this.navigationId;
    data['navigationText'] = this.navigationText;
    data['navigationUrl'] = this.navigationUrl;
    data['mobileNavigationUrl'] = this.mobileNavigationUrl;
    data['categoryName'] = this.categoryName;
    data['fontIcon'] = this.fontIcon;
    data['mobileFontIcon'] = this.mobileFontIcon;
    data['parentId'] = this.parentId;
    data['orderNo'] = this.orderNo;
    data['roleId'] = this.roleId;
    return data;
  }
}
